﻿Version: 1
Name: Default
Config:
  CaCert:
  CaKey:
  ServerKey:
  ClientCert:
  ClientKey:
  ConnectTimeout: 30
  SendTimeout: 30
  ReceiveTimeout: 30
Routes:
- &Route0
  Order: 0
  Url: '**'
  Mutate: true
  SwaggerUrl:
  Script:
  Headers:
  - Pattern: Host
    Mutate: false
  - Pattern: Connection
    Mutate: false
  - Pattern: Content-Length
    Mutate: false
  ApiTokens:
  - Name: Authorization
    Where: Header
    Expiration: 120
    IsSignatureOfRequest: false
  - Name: access_token
    Where: FormData
    Expiration: 120
    IsSignatureOfRequest: false
  - Name: access_token
    Where: Query
    Expiration: 120
    IsSignatureOfRequest: false
  - Name: X-API-Key
    Where: Header
    Expiration: 120
    IsSignatureOfRequest: false
Assertions:
- Name: LogAnalysisAssertion
  Configuration:
    UserEntries: []
- Name: ResponseAnalysisAssertion
  Configuration:
    UserEntries: []
- Name: CustomBodyContainsAssertion
  Configuration:
    IsRequired: false
    IsCaseSensitive: false
    IsRegex: false
    SearchString: ''
- Name: CustomParameterContainsAssertion
  Configuration:
    ComparisonType: Contains
    IsRequired: false
    IsCaseSensitive: false
    IsRegex: false
    ParameterPart: Body
    ParameterName: ''
    Value: ''
- Name: StatusCodeAssertion
  Configuration:
    IsWhitelist: false
    StatusCodes:
    - 500
    - 502
    - 504
Checks:
- Name: ApplicationInformationCheck
  Configuration: {}
  Assertions:
  - Name: LogAnalysisAssertion
  - Name: ResponseAnalysisAssertion
- Name: CleartextAuthenticationCheck
  Configuration: {}
  Assertions: []
- Name: CorsCheck
  Configuration:
    AllowOriginWildcard: false
  Assertions: []
- Name: DnsRebindingCheck
  Configuration:
    AllowedStatusCodes:
    - 400
  Assertions: []
- Name: FormBodyFuzzingCheck
  Configuration:
    FuzzingCount: 30
    UnicodeFuzzing: true
  Assertions:
  - Name: LogAnalysisAssertion
  - Name: ResponseAnalysisAssertion
  - Name: StatusCodeAssertion
- Name: FrameworkDebugModeCheck
  Configuration: {}
  Assertions: []
- Name: GeneralFuzzingCheck
  Configuration:
    FuzzingCount: 30
    UnicodeFuzzing: true
  Assertions:
  - Name: LogAnalysisAssertion
  - Name: ResponseAnalysisAssertion
  - Name: StatusCodeAssertion
- Name: HtmlInjectionCheck
  Configuration:
    ForceRunning: false
    UserInjections: []
  Assertions: []
- Name: InsecureHttpMethodsCheck
  Configuration:
    CheckOptions: true
    CheckTrace: true
    CheckArbitrary: true
  Assertions: []
- Name: JsonFuzzingCheck
  Configuration:
    FuzzingCount: 30
    UnicodeFuzzing: true
  Assertions:
  - Name: LogAnalysisAssertion
  - Name: ResponseAnalysisAssertion
  - Name: StatusCodeAssertion
- Name: JsonHijackingCheck
  Configuration: {}
  Assertions: []
- Name: JsonInjectionCheck
  Configuration:
    ForceRunning: false
    UserInjections: []
  Assertions: []
- Name: KnownVulnerabilitiesCheck
  Configuration: {}
  Assertions: []
- Name: OpenRedirectCheck
  Configuration:
    UserFullUrlInjections: []
    UserPartialUrlInjections: []
  Assertions: []
- Name: SensitiveFileCheck
  Configuration:
    ErrorPageRegex: ''
    UserEntries: []
  Assertions: []
- Name: SensitiveInformationCheck
  Configuration: {}
  Assertions:
  - Name: LogAnalysisAssertion
  - Name: ResponseAnalysisAssertion
- Name: SessionCookieCheck
  Configuration:
    RequireHttpOnly: true
    RequireSecure: true
    MaxExpiration: 1440
    UserEntries: []
  Assertions: []
- Name: SqlInjectionCheck
  Configuration:
    UserInjections: []
  Assertions:
  - Name: LogAnalysisAssertion
  - Name: ResponseAnalysisAssertion
  - Name: StatusCodeAssertion
- Name: TlsConfigurationCheck
  Configuration:
    CheckForCompression: true
    TlsVersions:
    - TlSv1
    - TlSv11
    - TlSv12
    - TlSv13
    ClearTlsVersions: false
    Hmacs:
    - Sha256
    - Sha384
    - Sha512
    - Aead
    ClearHmacs: false
    Ciphers:
    - 52392
    - 52393
    - 52394
    - 49196
    - 49200
    - 52244
    - 52243
    - 49195
    - 49199
    - 49188
    - 49192
    - 49187
    - 49191
    ClearCiphers: false
  Assertions: []
- Name: TokenCheck
  Configuration:
    MinSize: 16
  Assertions: []
- Name: XmlFuzzingCheck
  Configuration:
    FuzzingCount: 30
    UnicodeFuzzing: true
  Assertions:
  - Name: LogAnalysisAssertion
  - Name: ResponseAnalysisAssertion
  - Name: StatusCodeAssertion
- Name: XmlInjectionCheck
  Configuration:
    ForceRunning: false
    UserInjections: []
  Assertions: []
Profiles:
- Name: Quick
  DefaultProfile: Quick
  Routes:
  - Route: *Route0
    Checks:
    - Name: ApplicationInformationCheck
    - Name: CleartextAuthenticationCheck
    - Name: CorsCheck
    - Name: DnsRebindingCheck
    - Name: HtmlInjectionCheck
    - Name: JsonHijackingCheck
    - Name: JsonInjectionCheck
    - Name: KnownVulnerabilitiesCheck
    - Name: OpenRedirectCheck
    - Name: SensitiveInformationCheck
    - Name: SessionCookieCheck
    - Name: SqlInjectionCheck
    - Name: TokenCheck
    - Name: XmlInjectionCheck
- Name: Nightly
  DefaultProfile: Nightly
  Routes:
  - Route: *Route0
    Checks:
    - Name: ApplicationInformationCheck
    - Name: CleartextAuthenticationCheck
    - Name: CorsCheck
    - Name: DnsRebindingCheck
    - Name: FormBodyFuzzingCheck
      Configuration:
        FuzzingCount: 10
        UnicodeFuzzing: true
    - Name: FrameworkDebugModeCheck
    - Name: GeneralFuzzingCheck
      Configuration:
        FuzzingCount: 10
        UnicodeFuzzing: true
    - Name: HtmlInjectionCheck
    - Name: JsonFuzzingCheck
      Configuration:
        FuzzingCount: 10
        UnicodeFuzzing: true
    - Name: JsonHijackingCheck
    - Name: JsonInjectionCheck
    - Name: KnownVulnerabilitiesCheck
    - Name: OpenRedirectCheck
    - Name: SensitiveInformationCheck
    - Name: SessionCookieCheck
    - Name: SqlInjectionCheck
    - Name: TokenCheck
    - Name: XmlFuzzingCheck
      Configuration:
        FuzzingCount: 10
        UnicodeFuzzing: true
    - Name: XmlInjectionCheck
- Name: Weekly
  DefaultProfile: Weekly
  Routes:
  - Route: *Route0
    Checks:
    - Name: ApplicationInformationCheck
    - Name: CleartextAuthenticationCheck
    - Name: CorsCheck
    - Name: DnsRebindingCheck
    - Name: FormBodyFuzzingCheck
      Configuration:
        FuzzingCount: 20
        UnicodeFuzzing: true
    - Name: FrameworkDebugModeCheck
    - Name: GeneralFuzzingCheck
      Configuration:
        FuzzingCount: 20
        UnicodeFuzzing: true
    - Name: HtmlInjectionCheck
    - Name: InsecureHttpMethodsCheck
    - Name: JsonFuzzingCheck
      Configuration:
        FuzzingCount: 20
        UnicodeFuzzing: true
    - Name: JsonHijackingCheck
    - Name: JsonInjectionCheck
    - Name: KnownVulnerabilitiesCheck
    - Name: OpenRedirectCheck
    - Name: SensitiveFileCheck
    - Name: SensitiveInformationCheck
    - Name: SessionCookieCheck
    - Name: SqlInjectionCheck
    - Name: TlsConfigurationCheck
    - Name: TokenCheck
    - Name: XmlFuzzingCheck
      Configuration:
        FuzzingCount: 20
        UnicodeFuzzing: true
    - Name: XmlInjectionCheck
- Name: Full
  DefaultProfile: Full
  Routes:
  - Route: *Route0
    Checks:
    - Name: ApplicationInformationCheck
    - Name: CleartextAuthenticationCheck
    - Name: CorsCheck
    - Name: DnsRebindingCheck
    - Name: FormBodyFuzzingCheck
    - Name: FrameworkDebugModeCheck
    - Name: GeneralFuzzingCheck
    - Name: HtmlInjectionCheck
    - Name: InsecureHttpMethodsCheck
    - Name: JsonFuzzingCheck
    - Name: JsonHijackingCheck
    - Name: JsonInjectionCheck
    - Name: KnownVulnerabilitiesCheck
    - Name: OpenRedirectCheck
    - Name: SensitiveFileCheck
    - Name: SensitiveInformationCheck
    - Name: SessionCookieCheck
    - Name: SqlInjectionCheck
    - Name: TlsConfigurationCheck
    - Name: TokenCheck
    - Name: XmlFuzzingCheck
    - Name: XmlInjectionCheck
Findings: []
